中文

操作方法:为 ArcGIS Desktop 配置 Windows 以使用 TLS 1.2

摘要

注:
以下是配置 ArcGIS Desktop 以使用 TLS 1.2 的可选解决方案。 有关其他可选解决方案及推荐解决方案,请参阅:常见问题解答:如何在 ArcGIS Desktop 上启用 TLS 1.2?

作为改进 ArcGIS Online 安全性的一部分,Esri 要求 ArcGIS Online 服务使用 TLS 1.2 连接。 为确保对这些服务进行访问,需要采取一些措施。

以下方法描述了如何配置 Windows 操作系统以使用 TLS 1.2。 此操作将设置系统中所有依赖 Microsoft .NET Framework 的应用程序都使用 TLS 1.2。

注:
Esri  已证实设置  .NET  环境以启用  TLS  1.2  不会导致  ArcGIS  出现问题;但可能会通过更改默认  TLS  行为影响其他 .NET 应用程序。 必要时,请咨询有资历的计算机系统专业人士。  

过程

注:
配置和测试 ArcGIS Desktop 使用 TLS 1.2 后,请返回 Esri 支持 TLS 页面了解如何在其他 Esri 产品中使用 TLS 1.2。

请根据系统安装的 .NET Framework 版本获取在 Windows 上启用 TLS 1.2 的具体步骤。 Esri 建议最好使用 .NET4。

  1. 确认使用的 .NET 版本。 可以从以下 Microsoft 帮助文档获得这些信息:
    操作方法:确定安装的 .NET Framework 版本
  2. 如果已经安装了 .NET4,请按照以下步骤配置 Windows 操作系统以使用 TLS 1.2:
    1. 下载 zip 文件:TLS_NET4.zip
    2. 提取压缩文件内容,然后双击文件 TLS_NET4.reg 以创建相应的 Windows 注册表项。
    3. 测试 TLS 1.2 与 ArcGIS Online 的连接。
  3. 如果系统未安装 .NET4,Esri 建议安装:
    1. 可从 Microsoft 下载中心下载和安装 .NET4。
      Microsoft .NET Framework 4.7(Web 安装程序)
    2. 按照上述 B 部分中的步骤进行操作。
  4. 如果系统使用 .NET 3.5.1 版本,且无法升级到 .NET4,请使用以下步骤启用 TLS 1.2:
    1. 安装 Microsoft 更新以启用 TLS 1.2。 Microsoft 建议安装所有操作系统更新。 请参阅:.NET Framework 中的传输层安全性 (TLS) 最佳做法:在 .NET Framework 3.5 中支持 TLS 1.2 的要求
      以下 TLS 1.2 更新可用:
    2. 下载以下 zip 文件:TLS_NET35.zip
    3. 提取文件 TLS_NET35.reg,双击该文件以创建相应的 Windows 注册表项。
    4. 测试 TLS 1.2 与 ArcGIS Online 的连接。
注:
请参阅 Esri 支持中心网站上的产品生命周期页面,了解 ArcGIS Desktop 每个版本的支持状态。

相关信息